/*-----------------------------------*\
 * style.css
\*-----------------------------------*/

/**
 * copyright 2022 codewithsadee
 */





/*-----------------------------------*\
 * #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

    /**
     * colors
     */
  
    --raw-seinna: #ffa422;
    --sizzling-sunrise: hsl(51, 95%, 54%);
    --scarlet: hsl(13, 96%, 47%);
    --black: hsl(0, 0%, 0%);
    --white: hsl(0, 0%, 100%);
  
    /**
     * typography
     */
  
    --ff-saira-stencil-one: "Saira Stencil One", sans-serif; 
    --ff-poppins: 'Poppins', sans-serif;
    --ff-roboto: 'Roboto', sans-serif;
  
    --fs-1: 2rem;
    --fs-2: calc(1.813rem + 1vw);
    --fs-3: calc(1.313rem + 1vw);
    --fs-4: 1.4rem;
    --fs-5: 1rem;
    --fs-6: 0.813rem;
    --fs-7: 0.75rem;
  
    --fw-400: 400;
    --fw-700: 700;
  
    /**
     * transition
     */
  
    --transition-1: 0.25s ease-in-out;
  
    /**
     * spacing
     */
  
    --section-padding: 80px;
  
    /**
     * radius
     */
  
    --radius-4: 4px;
    --radius-12: 12px;
  
  }
  
  
  
  
  
  /*-----------------------------------*\
   * #THEME COLORS
  \*-----------------------------------*/
  
  body.dark_theme {
  
    --bg-primary: hsl(0, 0%, 5%);
    --bg-secondary: hsl(0, 0%, 6%);
    --color-primary: hsl(0, 0%, 100%);
    --color-secondary: hsl(0, 0%, 62%);
    --card-shadow: hsla(0, 0%, 0%, 0.4);
    --input-bg: hsl(0, 0%, 16%);
  
    --shadow-1: 10px 10px 40px var(--card-shadow);
  
  
  }
  
  body.light_theme {
  
    --bg-primary: hsl(0, 0%, 90%);
    --bg-secondary: hsl(0, 0%, 100%);
    --color-primary: hsl(0, 0%, 12%);
    --color-secondary: hsl(0, 0%, 37%);
    --card-shadow: hsla(0, 0%, 0%, 0.1);
    --input-bg: hsl(0, 0%, 93%);
    --logo: url('assets/images/logo.png')
    --shadow-1: 10px 10px 40px var(--card-shadow);
  
  }
  *{
    scroll-behavior: smooth;
  }
  body{
    cursor: none;
  }
  
  /*-----------------------------------*\
   * #cursor
  \*-----------------------------------*/
  
  .cursor-dot{
    width: 5px;
    height: 5px;
    background-color: #ffffff;
  }
  
  .cursor-outline{
    width: 30px;
    height: 30px;
    border: 2px solid #ffa422;
  }
  
  .cursor-dot,
  .cursor-outline {
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50% , -50%);
    border-radius: 50%;
    z-index: 10;
    pointer-events: none;
  }
  
  
  
  
  /*-----------------------------------*\
   * #RESET
  \*-----------------------------------*/
  
  *, *::before, *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  li { list-style: none; }
  
  a { text-decoration: none; }
  
  a,
  img,
  time,
  span,
  input,
  label,
  select,
  button,
  textarea,
  ion-icon { display: block; }
  
  input,
  button,
  select,
  textarea {
    background: none;
    border: none;
    font: inherit;
  }
  
  button,
  select { cursor: pointer; }
  
  input,
  textarea { width: 100%; }
  
  ion-icon { pointer-events: none; }
  
  :is(a, button, select) {
    outline-color: var(--scarlet);
    outline-offset: 3px;
  }
  
  ::selection {
    background: var(--color-primary);
    color: var(--bg-primary);
  }
  
  html {
    font-family: var(--ff-roboto);
    scroll-behavior: smooth;
  }
  
  body {
    background: var(--bg-primary);
    transition: var(--transition-1);
    height: 100vh;
    /* background-color: #101010; */
    background-size: 20px 20px;
    background-image: 
    linear-gradient(to right, #4b4a4a1b 0.5px,transparent 1px),
    linear-gradient(to bottom, #4b4b4b1a 0.5px, transparent 1px);
  }
  
  body.active { overflow: hidden; }
  
  
  
  
  
  /*-----------------------------------*\
   * #REUSED STYLE
  \*-----------------------------------*/
  
  .container { padding-inline: 10px; }
  
  .h1 {
    font-size: var(--fs-1);
    line-height: 1.2;
    font-weight: 400;
  }
  
  .h2,
  .h3,
  .h4 {
    color: var(--color-primary);
    font-family: var(--ff-poppins);
    line-height: 1.2;
  }
  
  .h2 { font-size: var(--fs-2); }
  
  .h3 { font-size: var(--fs-3); }
  
  .h4 { font-size: var(--fs-5); }
  
  .w-100 { width: 100%; }
  
  .btn {
    max-width: max-content;
    color: var(--color-primary);
    font-weight: var(--fw-700);
    text-transform: uppercase;
    letter-spacing: 0.5px;
    padding: 10px 25px;
    border: 1px solid transparent;
    border-radius: var(--radius-4);
    transition: var(--transition-1);
  }
  
  .btn-primary { border-color: #ffca7f; }
  
  .btn-primary:is(:hover, :focus) {
    background: var(--color-primary);
    color: var(--bg-primary);
    transform: scale(1.04);
    box-shadow: 0 0 40px #ffa3222e;
  }
  
  .btn-secondary {
    background: var(--raw-seinna);
    border-color: var(--raw-seinna);
    color: var(--black);
  }
  
  .btn-secondary:is(:hover, :focus) { --raw-seinna: hsl(0, 0%, 100%); }
  
  .section-subtitle {
    position: relative;
    color: var(--color-secondary);
    text-transform: uppercase;
    padding-bottom: 5px;
    margin-bottom: 20px;
  }
  
  .section-subtitle::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 60px;
    height: 2px;
    background: var(--color-secondary);
  }
  
  .section-title {
    max-width: 350px;
    margin-bottom: 17px;
  }

  #title-font{
    font-family: 'syne';
  }
  
  .section-text {
    color: var(--color-secondary);
    line-height: 1.8;
    margin-bottom: 27px;
  }
  
  #section-title-center{
    text-align: center;
    font-size: 30px;
  }
  
  #section-title-mid{
    display: grid;
    justify-content: center;
  }
  #section-text-center{
    text-align: center;
    
  }
  
  
  
  .tooltip {
    position: absolute;
    top: -40px;
    background: var(--raw-seinna);
    min-width: max-content;
    color: var(--white);
    font-size: 15px;
    font-weight: var(--fw-700);
    padding: 5px 10px;
    border-radius: var(--radius-4);
    box-shadow: var(--shadow-1);
    transform: translateY(-10px);
    opacity: 0;
    pointer-events: none;
    transition: var(--transition-1);
    z-index: 1;
  }
  
  
  
  
  
  /*-----------------------------------*\
   * #HEADER
  \*-----------------------------------*/
  
  
  
  
  .header {
    padding-block: 15px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    transition: var(--transition-1);
    z-index: 4;
  }
  
  .header.active {
    padding-block: 12px;
    background: rgba(35, 35, 35, 0.447);
    box-shadow: var(--shadow-1);
    backdrop-filter: blur(10px);
    border-bottom: 1px solid rgb(255, 255, 255, .2) ;
  }
  
  .header.active::before{
    content: '';
      position: absolute;
      top: 0;
      left: -100%;
      width: 100%;
      height: 100%;
      background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
      transition: .5s;
  }
  
  .header.active:hover::before {
    left: 100%;
  }
  
  
  .header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
  }
  #logo{
    height: 30px;
  }
  .logo{
    position: relative;
    min-width: 77px;
    z-index: 2;
    transition: transform 300ms ease-out;
  }
  
  .logo:hover{
    filter: drop-shadow(0px 0px 30px rgba(255, 255, 255, 0.192));
    transform: scale(1.1);
    transition: all  0.4sease-in-out;
  }
  
  .logo a {
    color: var(--color-primary);
    font-family: var(--ff-saira-stencil-one);
  }
  
  .logo span {
    display: inline-block;
    color: var(--raw-seinna);
    margin-left: 2px;
  }
  
  .navbar-actions {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-left: auto;
  }
  
  .navbar-actions select {
    color: var(--color-primary);
    width: 45px;
  }
  
  .navbar-actions option {
    background: var(--bg-primary);
    color: var(--color-primary);
  }
  
  .theme-btn {
    padding: 4px;
    width: 48px;
    background: var(--bg-secondary);
    border-radius: 100px;
    transition: var(--transition-1);
  }
  
  .header.active .theme-btn { background: var(--bg-primary); }
  
  .theme-btn .icon {
    position: relative;
    left: 0;
    width: 20px;
    height: 20px;
    border-radius: 50px;
    box-shadow: inset 9px -6px var(--color-primary);
    transition: var(--transition-1);
  }
  
  .theme-btn.active .icon {
    left: 20px;
    box-shadow: inset 20px -20px var(--sizzling-sunrise);
  }
  
  .nav-toggle-btn {
    position: relative;
    transform: rotate(-55deg);
    transition: var(--transition-1);
    z-index: 2;
  }
  
  .nav-toggle-btn.active { transform: rotate(-45deg); }
  
  .nav-toggle-btn span {
    width: 20px;
    height: 2px;
    background: var(--color-primary);
    margin: 5px;
    transition: var(--transition-1);
  }
  
  .nav-toggle-btn :is(.one, .three) { width: 10px; }
  
  .nav-toggle-btn .one {
    margin-left: auto;
    transform-origin: left;
  }
  
  .nav-toggle-btn .three { transform-origin: right; }
  
  .nav-toggle-btn.active .one { transform: rotate(90deg) translateX(-3px); }
  
  .nav-toggle-btn.active .three { transform: rotate(90deg) translateX(3px); }
  
  .navbar {
    position: fixed;
    background: var(--bg-secondary);
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    display: grid;
    place-items: center;
    visibility: hidden;
    transition: 0.75s cubic-bezier(0.71, 0.01, 0.24, 0.99);
    transition-delay: 0.5s;
    z-index: 1;
  }
  
  .navbar.active {
    top: 0;
    visibility: visible;
    transition-delay: 0s;
  }
  
  .navbar-list > li {
    margin-block: 20px;
    padding-inline: 50px;
    overflow: hidden;
  }
  
  .navbar-link {
    position: relative;
    width: max-content;
    margin-inline: auto;
    color: var(--color-primary);
    font-family: 'syne';
    font-size: var(--fs-1);
    padding: 10px;
    transform: translateY(50px);
    transition: 0.75s cubic-bezier(0.68, -0.55, 0.27, 2);
  }
  
  .navbar.active .navbar-link {
    transform: translateY(0);
    transition-delay: 0.5s;
  }
  
  .navbar-link::before {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    height: 5px;
    width: 0;
    background: var(--raw-seinna);
    transition: var(--transition-1);
  }
  
  .navbar-link:is(:hover, :focus)::before { width: 100%; }


  .star-icon {
    width: 25px;
    height: 25px;
    fill: #ff8c00;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
  }
  
  .star-icon:hover {
    transform: scale(1.2) rotate(270deg); /* Reduced to quarter spin */
    filter: drop-shadow(0px 0px 20px #ffa43461);
  }
  
  
  
 
  
  /*-----------------------------------*\
   * #PROJECT
  \*-----------------------------------*/
  
  .project { padding-block: var(--section-padding); }
  
  .project-list > li { margin-bottom: 30px; }
  
  .project-card {
    position: relative;
    overflow: hidden;
    border-radius: var(--radius-12);
    box-shadow: 2px 4px 6px hsla(0, 0%, 0%, 0.2);
  }
  
  .project-card::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 40px;
    transition: var(--transition-1);
  }
  
  .project-card:is(:hover, :focus)::after {
    background: hsla(0, 0%, 100%, 0.1);
    backdrop-filter: blur(0.5px);
  }
  
  .project-card .card-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 20px;
  }
  
  .project-card .card-title { margin-bottom: 10px; }
  
  .project-card :is(.card-title, .logo-items) {
    background: #000000;
    color: #ffb922;
    padding: 6px 12px;
    width: max-content;
    box-shadow: var(--shadow-1);
    transform: translateY(20px);
    opacity: 0;
    transition: var(--transition-1);
    font-family: 'syne';
  }
  
  .project-card .logo-items {
    font-size: var(--fs-6);
    color: var(--color-primary);
    transition-delay: 0s;
  }
  
  .project-card:is(:hover, :focus) :is(.card-title, .logo-items) {
    transform: translateY(0);
    opacity: 1;
  }
  
  .project-card:is(:hover, :focus) .logo-items { transition-delay: 0.1s; }
  

  
  .load-more{
    word-spacing: 5px;
    color: #ffffff;
    margin-inline: auto;
    display: block ruby;
    margin-top: 40px;
    margin-bottom: 40px;
  }

  .load-more #back-aarow{
    color: #ffa422;
    
  }


  #work-load{
    font-family: 'syne', sans-serif;
    font-size: 27px;
    line-height: 1.5;
    height: 100vh;
    text-decoration: none;
    color: #ffa422;
    font-weight: 700;
    position: relative;
    display: inline;
  }
  
  #work-load::before {
    background: hsl(0, 0%, 100%);
    content: "";
    inset: 0;
    position: absolute;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.5s ease-in-out;
    z-index: -1;
  }
  
  #work-load:hover::before {
    transform: scaleX(1);
    transform-origin: left;
  }
  
  
  #portfolio{
    padding: 120px 0 0 0 ;
    max-width: 1150px;
    display: block;
    margin-left: auto;
    margin-right: auto 
  }
  
  
  /*-----------------------------------*\
   * #FOOTER
  \*-----------------------------------*/
  
  .footer {
    background: var(--bg-secondary);
    padding-block: 20px;
    text-align: center;
    box-shadow: var(--shadow-1);
  }
  
  .footer .logo { margin-bottom: 15px; }
  
  .copyright {
    color: var(--color-secondary);
    line-height: 1.6;
  }
  
  .copyright a {
    display: inline-block;
    color: var(--raw-seinna);
  }
  
  
  
  /*-----------------------------------*\
   * #MEDIA QUERIES
  \*-----------------------------------*/
  
  /**
   * responsive for larger than 550px screen
   */
  
   @media (min-width: 320px) {
    #slogan{
      font-size: 50px;
      margin-bottom: 15px;
    }
  
    #logo{
      display: inline-block;
    }

    .project-list {
      padding: 0 2rem;
     }
  }

  


  /* Mobile screens (320px to 550px) */
@media (max-width: 550px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }
}

/* Tablet screens (551px to 992px) */
@media (min-width: 551px) and (max-width: 992px) {
  .cursor-dot,
  .cursor-outline {
    display: none;
  }
}

/* Desktop screens (993px and above) */
@media (min-width: 993px) {
  .cursor-dot,
  .cursor-outline {
    display: block;
  }
}





  
  @media (min-width: 550px) {
  
  /**
   * REUSED STYLE
   */
  
  
   .container {
    max-width: 550px;
    margin-inline: auto;
  }
  
  .section-title { max-width: 380px; }
  
  
  
  /**
   * PROJECT
   */
  
  .project-list {
    column-count: 2;
    column-gap: 25px;
  }
  
  .project-list > li:first-child { column-span: all; }

  
  }
  
  

  
  @media (min-width: 768px) {
  
  /**
   * REUSED STYLE
   */
  
  .container { max-width: 720px; }
  
  .section-title { max-width: 430px; }
  
  }
  
  
  
  
  
  /**
  * responsive for larger than 992px screen
  */
  
  @media (min-width: 992px) {
  
  /**
   * CUSTOM PROPERTY
   */
  
  :root {
  
    /**
     * typography
     */
  
    --fs-2: 3rem;
  
    /**
     * spacing
     */
  
    --section-padding: 100px;
  
  }
  
  
  
  /**
   * REUSED STYLE
   */
  
  .container { max-width: 980px; }
  
  .section-content {
    position: relative;
    padding-left: 40px;
  }
  
  .section-subtitle {
    position: absolute;
    top: 0;
    left: 0;
    transform: rotate(0.75turn) translateX(-100%);
    transform-origin: left top;
    margin-bottom: 0;
  }
  
  .section-subtitle::after {
    top: 8px;
    left: auto;
    right: calc(100% + 20px);
  }
  
  
  
  /**
   * HEADER
   */
  
  .header { padding-block: 30px; }
  
  .header.active { padding-block: 15px; }
  
  .navbar-actions {
    order: 1;
    margin-left: 0;
  }
  
  .nav-toggle-btn { display: none; }
  
  .navbar { all: unset; }
  
  .navbar-link {
    transform: translateY(0);
    font-size: unset;
    padding-inline: 5px;
  }
  
  .navbar-list > li {
    margin: 0;
    padding: 0;
    overflow: visible;
  }
  
  .navbar-list {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
  }
  
  .navbar-link::before { height: 2px; }
  
  
  
 
  
  
  

  
  
  
  

  
  
  

  
  
  
  /**
   * PROJECT
   */
  
  .project-list { column-count: 4; }
  
  .project-list > li:first-child {
    column-span: unset;
    margin: 0 0 25px 0;
    /* margin-left: 0;
    margin-bottom: 30px;; */
  }
  
  
  
  
  
  
  /**
   * FOOTER
   */
  
  .footer .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .footer .logo { margin-bottom: 0; }
  
  }
  
  
  
  
  
  /**
  * responsive for larger than 1200px screen
  */
  
  @media (min-width: 1200px) {
  
  /**
   * REUSED STYLE
   */
  
  .container { max-width: 1150px; }
  
  .section-title { max-width: 460px; }
  
  
  
  
  

  
  }



  
/*-----------------------------------*\
 * #Custom ScrollBar
\*-----------------------------------*/

::-webkit-scrollbar{
  width: 10px;
}
::-webkit-scrollbar-track{
  background: #000000;
}
::-webkit-scrollbar-thumb{
  background: linear-gradient(#ff8c00 , #ff9a1e);
  border-radius: 5px;
}

